# SuperLU

A Dart package for the direct solution of large, sparse, symmetric systems
of linear equations `Ax = b` using [SuperLU][].

## Usage

Include the appropriate [Emscripten][] module in your page:

```html
<script src="packages/superlu/zsuperlu.js"></script>
```

Compute the factorization of a matrix in compressed column form. Solve for one
or more right-hand-sides. Free up the LU matrices. `rhs` is overwritten with
the solution:

```dart
var factors = new Factors(vals, rowind, colptr);
factors.solve(n, 1, rhs);
factors.free();
```

### Async

SuperLU may also be run in a separate thread using the Web Worker API:

```dart
var superlu = new SuperLU();
var factors = await superlu.factor(a, asub, xa);
var x = await factors.solve(n, 1, rhs);
factors.free();
```

[SuperLU]: http://crd-legacy.lbl.gov/~xiaoye/SuperLU/
[Emscripten]: http://emscripten.org/
